package com.chinacreator.video.mapper;

import com.chinacreator.video.bean.ActivityBean;
import com.chinacreator.video.bean.ReceiveEquityLog;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 查权益信息dao层
 *
 * @Author shuiying.ou
 * @Date 2023-04-12
 */
@Mapper
public interface QureyEquityDao {

    /**
     * 根据spid、cpid查activetype
     * @param spid
     * @return
     */
    String getActivetype(String spid );


    /**
     * 根据userid、cpid、spid、activetype查活动关系
     * @param userid
     * @param cpid
     * @param spid
     * @param activetype
     * @return
     */
    List<ActivityBean> getActivetypeInfo(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid, @Param("activetype") String activetype);


    /**
     * 根据spid/子产品spid与activetype匹配领取类型
     * @param spidSon
     * @param activetype
     * @return
     */

    Map<String,String> getActiveConfig(@Param("spid") String spidSon, @Param("activetype") String activetype);

    /**
     * 保存能开领取记录
     * @param receiveEquityLog
     */
    void saveReceiveEquityLog(ReceiveEquityLog receiveEquityLog);

    String getPwd(String spid);
}
