package com.chinacreator.video.service;

import com.alibaba.druid.util.StringUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.mapper.CommConfDao;
import com.chinacreator.video.mapper.NengkaiDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service("addBlockListForNengkai")
public class AddBlockListForNengkaiService {

    private static final Logger log = LoggerFactory.getLogger("addBlockListForNengkai");

    @Autowired
    NengkaiDao nengkaiDao;

    @Autowired
    CommConfDao commConfDao;

    public String addBlock(JSONObject object)throws Exception{
        String data="";
        HashMap<String,String> logmap = new HashMap<>();
        try {
            check(object);
//            List<HashMap> spInfo = commConfDao.findSpInfo(object.getString("productid"));
//            if (spInfo==null||spInfo.size()==0){
//                throw new BussinessException("80013", "产品编码异常");
//            }
            String cpid = "0";
            String usermob = object.getString("usermob");
            String bleakcause = object.getString("bleakcause");

            nengkaiDao.addBlock(usermob,cpid,bleakcause);

        }catch (Exception e){
            if(e instanceof BussinessException) {
                throw e;
            }else {
                e.printStackTrace();
                throw new BussinessException("8000","添加黑名单出现异常");
            }
        }finally {
            log.info(JSON.toJSONString(logmap));
        }
        return data;
    }

    private void check(JSONObject object)throws Exception{
        if (StringUtils.isEmpty(object.getString("usermob"))||StringUtils.isEmpty(object.getString("bleakcause"))){
            throw new BussinessException("80003", "参数缺失");
        }
    }
}
